| LIRC libraries LinuxInfraredRemoteControl

Functions | Variables
_client.c File Reference
Python client bindings

### (ba530e4 2017-01-22 19:05:53 +0100)

python bindings for part of lirc_client.hThese bindings provides python3 access to some of the lirc_client.h functions. More...

`#include <Python.h>`
`#include "lirc_client.h"`

Go to the source code of this file.

## Functions
PyMODINIT_FUNC | PyInit__client (void)

## Variables
PyMethodDef | ClientMethods []

## Detailed Description

python bindings for part of lirc_client.h

These bindings provides python3 access to some of the lirc_client.h functions.

Author
  Alec Leamas

Definition in file _client.c.

## Variable Documentation

## § ClientMethods

PyMethodDef ClientMethods[]

Initial value:
= {
{"lirc_init", client_lirc_init, METH_VARARGS,
"initiate lirc connection"},
{"lirc_deinit", client_lirc_deinit, METH_VARARGS,
"close lirc connection opened by lirc_init()"},
{"lirc_readconfig", client_lirc_readconfig, METH_VARARGS,
"parse a lircrc file"},
{"lirc_freeconfig", client_lirc_freeconfig, METH_VARARGS,
"Deallocate memory obtained using lirc_readconfig()"},
{"lirc_code2char", client_lirc_code2char, METH_VARARGS,
"lircrc-translate a keypress"},
{0}
}

Definition at line 134 of file _client.c.